<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Keysystems.EOD.Utils</name>
    </assembly>
    <members>
        <member name="T:Keysystems.EOD.Utils.XmlValidator">
            <summary>
            
            </summary>
        </member>
        <member name="M:Keysystems.EOD.Utils.XmlValidator.Validate(System.Xml.Linq.XDocument)">
            <summary>
            Проверяет XML-документ на соответствие указанным в нем схемам. 
            Возвращает лишь статус проверки: пройдена/не пройдена. 
            Сообщения обо всех найденных ошибках помещаются в LOG-файл.
            </summary>
            <param name="xml">Проверяемый XML-документ</param>
            <returns>
             <c>true</c> - проверка пройдена успешно
             <c>false</c> - проверка не пройдена
            </returns>
        </member>
        <member name="T:Keysystems.EOD.Utils.SystemLinqExtender">
            <summary>
            Методы расширения для работы с последовательностями 
            </summary>
        </member>
        <member name="M:Keysystems.EOD.Utils.SystemLinqExtender.SequenceEqualSearching``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0})">
            <summary>
            Сравнивает две последовательности в независимости от порядка элементов в них.
            </summary>
            <typeparam name="TSource">Тип элементов входных последовательностей.</typeparam>
            <param name="first">Объект, сравниваемый с последовательностью second.</param>
            <param name="second">Объект, сравниваемый с первой последовательностью.</param>
            <returns>true, если у двух исходных последовательностей одинаковая длина и каждому элементу первой последовательности 
            найден эквивалентный во второй, согласно дефолтному компаратору,  в противном случае — false.</returns>
        </member>
        <member name="M:Keysystems.EOD.Utils.SystemLinqExtender.SequenceEqualSearching``1(System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEnumerable{``0},System.Collections.Generic.IEqualityComparer{``0})">
            <summary>
            Сравнивает две последовательности в независимости от порядка элементов в них.
            </summary>
            <typeparam name="TSource">Тип элементов входных последовательностей.</typeparam>
            <param name="first">Объект, сравниваемый с последовательностью second.</param>
            <param name="second">Объект, сравниваемый с первой последовательностью.</param>
            <param name="comparer">Компаратор, используемый для сравнения элементов.</param>
            <returns>true, если у двух исходных последовательностей одинаковая длина и каждому элементу первой последовательности 
            найден эквивалентный во второй, согласно компаратору comparer,  в противном случае — false.</returns>
        </member>
        <member name="M:Keysystems.EOD.Utils.SystemLinqExtender.IndexInSequence``1(System.Collections.Generic.IEnumerable{``0},System.Func{``0,System.Boolean})">
            <summary>
            Вычисляет индекс элемента в последовательности
            </summary>
            <typeparam name="TSource"></typeparam>
            <param name="sequence"></param>
            <param name="predicate"></param>
            <returns></returns>
        </member>
        <member name="T:Keysystems.EOD.Utils.COM.IComVisible">
            <summary>
            
            </summary>
        </member>
        <member name="M:Keysystems.EOD.Utils.COM.IComVisible.WriteObjectType(System.Object)">
            <summary>
            
            </summary>
            <param name="obj"></param>
        </member>
        <member name="P:Keysystems.EOD.Utils.COM.IComVisible.Id">
            <summary>
            
            </summary>
        </member>
        <member name="P:Keysystems.EOD.Utils.COM.IComVisible.TheOne">
            <summary>
            
            </summary>
        </member>
        <member name="T:Keysystems.EOD.Utils.COM.IGlobalInterfaceTable">
            <summary>
            
            </summary>
        </member>
        <member name="M:Keysystems.EOD.Utils.COM.IGlobalInterfaceTable.RegisterInterfaceInGlobal(System.IntPtr,System.Guid@,System.Int32@)">
            <summary>
            
            </summary>
            <param name="pUnk"></param>
            <param name="riid"></param>
            <param name="cookie"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.Utils.COM.IGlobalInterfaceTable.RevokeInterfaceFromGlobal(System.Int32)">
            <summary>
            
            </summary>
            <param name="cookie"></param>
            <returns></returns>
        </member>
        <member name="M:Keysystems.EOD.Utils.COM.IGlobalInterfaceTable.GetInterfaceFromGlobal(System.Int32,System.Guid@,System.IntPtr@)">
            <summary>
            
            </summary>
            <param name="cookie"></param>
            <param name="riid"></param>
            <param name="pu"></param>
            <returns></returns>
        </member>
    </members>
</doc>
